package com.jasamedika.medifirst2000.entities;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

import com.jasamedika.medifirst2000.base.BaseTransaction;
import com.jasamedika.medifirst2000.helper.Caption;import org.hibernate.envers.Audited;

@Entity //@Audited
@Table(name = "ProgramDanPerencanaanPenanganan_T")
public class ProgramDanPerencanaanPenanganan extends BaseTransaction {
	
	@ManyToOne
	@JoinColumn(name = "NoRegistrasiFk")
	@Caption(value="No Registrasi")
	private PasienDaftar pasienDaftar;	
	
	@ManyToOne
	@JoinColumn(name = "NoCMFk")
	@Caption(value="NoCM")
	private Pasien pasien;
	
	@ManyToOne
	@JoinColumn(name = "Obat")
	@Caption(value="Obat")
	private Obat obat;
	
	@Column(name = "EEG")
	@Caption(value="EEG/BM")
	private String eeg;
	
	@Column(name = "Audiometri")
	@Caption(value="ABR/Audiometri")
	private String audiometri;	
	
	@Column(name = "Radiologi")
	@Caption(value="Radiologi")
	private String radiologi;
	
	@Column(name = "Laboratorium")
	@Caption(value="Laboratorium")
	private String laboratorium;
	
	@Column(name = "Fisioterapi")
	@Caption(value="Fisioterapi")
	private String fisioterapi;
	
	@Column(name = "TerapiWicara")
	@Caption(value="Terapi Wicara")
	private String terapiWicara;
	
	@Column(name = "TerapiOkupasi")
	@Caption(value="Terapi Okupasi")
	private String terapiOkupasi;
	
	@Column(name = "OrtotikProstetik")
	@Caption(value="Ortotik/Prostetik")
	private String ortotikProstetik;
	
	@Column(name = "KonsultasiRujukan")
	@Caption(value="KonsultasiRujukan")
	private String konsultasiRujukan;
	
	@Column(name = "Rencana")
	@Caption(value="Rencana Follow-up")
	private String rencana;

	public PasienDaftar getPasienDaftar() {
		return pasienDaftar;
	}

	public void setPasienDaftar(PasienDaftar pasienDaftar) {
		this.pasienDaftar = pasienDaftar;
	}

	public Pasien getPasien() {
		return pasien;
	}

	public void setPasien(Pasien pasien) {
		this.pasien = pasien;
	}

	public Obat getObat() {
		return obat;
	}

	public void setObat(Obat obat) {
		this.obat = obat;
	}

	public String getEeg() {
		return eeg;
	}

	public void setEeg(String eeg) {
		this.eeg = eeg;
	}

	public String getAudiometri() {
		return audiometri;
	}

	public void setAudiometri(String audiometri) {
		this.audiometri = audiometri;
	}

	public String getRadiologi() {
		return radiologi;
	}

	public void setRadiologi(String radiologi) {
		this.radiologi = radiologi;
	}

	public String getLaboratorium() {
		return laboratorium;
	}

	public void setLaboratorium(String laboratorium) {
		this.laboratorium = laboratorium;
	}

	public String getFisioterapi() {
		return fisioterapi;
	}

	public void setFisioterapi(String fisioterapi) {
		this.fisioterapi = fisioterapi;
	}

	public String getTerapiWicara() {
		return terapiWicara;
	}

	public void setTerapiWicara(String terapiWicara) {
		this.terapiWicara = terapiWicara;
	}

	public String getTerapiOkupasi() {
		return terapiOkupasi;
	}

	public void setTerapiOkupasi(String terapiOkupasi) {
		this.terapiOkupasi = terapiOkupasi;
	}

	public String getOrtotikProstetik() {
		return ortotikProstetik;
	}

	public void setOrtotikProstetik(String ortotikProstetik) {
		this.ortotikProstetik = ortotikProstetik;
	}

	public String getKonsultasiRujukan() {
		return konsultasiRujukan;
	}

	public void setKonsultasiRujukan(String konsultasiRujukan) {
		this.konsultasiRujukan = konsultasiRujukan;
	}

	public String getRencana() {
		return rencana;
	}

	public void setRencana(String rencana) {
		this.rencana = rencana;
	}
	
	

}
